## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-pytest-aiohttp is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-mgmt-rdbms

Name:           python-%{srcname}
Version:        10.0.0
Release:        %autorelease
Summary:        Microsoft Azure RDBMS Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure RDBMS Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


# LICENSE missing. Made PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20176
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue May 17 2022 Major Hayden <major@mhtx.net> 1:10.0.0-4
- Add dotenv to test requirements

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:10.0.0-3
- Disable tests in EPEL 9

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:10.0.0-1
- Update to 10.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:9.1.0b1-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:9.1.0b1-1
- Update to 9.1.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:8.1.0b4-2
- Add epoch number for 8.1.0b4 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:8.1.0b4-1
- Downgrade to 8.1.0b4

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 9.0.0-1
- Update to 9.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 8.1.0-1
- Initial import (#1971845)
